## libasi 1.21.0

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.0)
project (libasi)

# Using ASI Camera SDK Version 1.21 updated on 2022-01-17
# Using ASI Camera SDK Version 1.20.3 updated on 2021-11-19
# Using ASI EFW SDK Version 1.7 updated on 2021-05-17
# Using ASI ST4 SDK Version 1.0 updated on 2018-07-23
# Using ASI EAF SDK Version 1.4 updated on 2021-05-17

set (ASICAM_VERSION "1.21.3")
set (ASICAM_SOVERSION "1")

set (ASIEFW_VERSION "1.7")
set (ASIEFW_SOVERSION "1")

set (ASIST4_VERSION "1.0")
set (ASIST4_SOVERSION "1")

set (ASIEAF_VERSION "1.4")
set (ASIEAF_SOVERSION "1")

list (APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake_modules/")
list (APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/../cmake_modules/")
include (GNUInstallDirs)
include (InstallImported)

add_library (ASICamera2  SHARED IMPORTED)
add_library (EFWFilter   SHARED IMPORTED)
add_library (USB2ST4Conv SHARED IMPORTED)
add_library (EAFFocuser  SHARED IMPORTED)

set_target_properties (ASICamera2  PROPERTIES VERSION ${ASICAM_VERSION} SOVERSION ${ASICAM_SOVERSION})
set_target_properties (EFWFilter   PROPERTIES VERSION ${ASIEFW_VERSION} SOVERSION ${ASIEFW_SOVERSION})
set_target_properties (USB2ST4Conv PROPERTIES VERSION ${ASIST4_VERSION} SOVERSION ${ASIST4_SOVERSION})
set_target_properties (EAFFocuser  PROPERTIES VERSION ${ASIEAF_VERSION} SOVERSION ${ASIEAF_SOVERSION})

if (APPLE)

  set_property (TARGET ASICamera2  PROPERTY IMPORTED_LOCATION "mac/libASICamera2.bin")
  set_property (TARGET EFWFilter   PROPERTY IMPORTED_LOCATION "mac/libEFWFilter.bin")
  set_property (TARGET USB2ST4Conv PROPERTY IMPORTED_LOCATION "mac/libUSB2ST4Conv.bin")
  set_property (TARGET EAFFocuser  PROPERTY IMPORTED_LOCATION "mac/libEAFFocuser.bin")

elseif (UNIX AND NOT WIN32)

  if (CMAKE_SYSTEM_PROCESSOR MATCHES "armv+")
    set_property (TARGET ASICamera2  PROPERTY IMPORTED_LOCATION "armv6/libASICamera2.bin")
    set_property (TARGET EFWFilter   PROPERTY IMPORTED_LOCATION "armv6/libEFWFilter.bin")
    set_property (TARGET USB2ST4Conv PROPERTY IMPORTED_LOCATION "armv6/libUSB2ST4Conv.bin")
    set_property (TARGET EAFFocuser  PROPERTY IMPORTED_LOCATION "armv6/libEAFFocuser.bin")
  elseif (CMAKE_SYSTEM_PROCESSOR MATCHES "aarch64")
    set_property (TARGET ASICamera2  PROPERTY IMPORTED_LOCATION "armv8/libASICamera2.bin")
    set_property (TARGET EFWFilter   PROPERTY IMPORTED_LOCATION "armv8/libEFWFilter.bin")
    set_property (TARGET USB2ST4Conv PROPERTY IMPORTED_LOCATION "armv8/libUSB2ST4Conv.bin")
    set_property (TARGET EAFFocuser  PROPERTY IMPORTED_LOCATION "armv8/libEAFFocuser.bin")
  elseif (CMAKE_SYSTEM_PROCESSOR MATCHES "x86_64")
    set_property (TARGET ASICamera2  PROPERTY IMPORTED_LOCATION "x64/libASICamera2.bin")
    set_property (TARGET EFWFilter   PROPERTY IMPORTED_LOCATION "x64/libEFWFilter.bin")
    set_property (TARGET USB2ST4Conv PROPERTY IMPORTED_LOCATION "x64/libUSB2ST4Conv.bin")
    set_property (TARGET EAFFocuser  PROPERTY IMPORTED_LOCATION "x64/libEAFFocuser.bin")
  elseif (CMAKE_SYSTEM_PROCESSOR MATCHES "i[3-6]86")
    set_property (TARGET ASICamera2  PROPERTY IMPORTED_LOCATION "x86/libASICamera2.bin")
    set_property (TARGET EFWFilter   PROPERTY IMPORTED_LOCATION "x86/libEFWFilter.bin")
    set_property (TARGET USB2ST4Conv PROPERTY IMPORTED_LOCATION "x86/libUSB2ST4Conv.bin")
    set_property (TARGET EAFFocuser  PROPERTY IMPORTED_LOCATION "x86/libEAFFocuser.bin")
  endif ()

  # Install udev rules
  set (UDEVRULES_INSTALL_DIR "/lib/udev/rules.d" CACHE STRING "Base directory for udev rules")
  install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/99-asi.rules DESTINATION ${UDEVRULES_INSTALL_DIR})

endif ()

# Install header files
install (
  FILES ASICamera2.h EFW_filter.h USB2ST4_Conv.h EAF_focuser.h
  DESTINATION include/libasi
)

# Install library
install_imported (
  TARGETS ASICamera2 EFWFilter USB2ST4Conv EAFFocuser
  DESTINATION ${CMAKE_INSTALL_LIBDIR}
)

=== debian/changelog ===
libasi (1.21.0-1) unstable; urgency=medium

  * new upstream version

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 28 Jan 2022 22:03:07 +0100

libasi (1.20.3-2) unstable; urgency=medium

  * debian/control: move to debian-astro

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 09 Dec 2021 17:03:07 +0100

libasi (1.20.3-1) unstable; urgency=medium

  * new upstream version

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 02 Dec 2021 22:30:07 +0100

libasi (1.20.2-1) unstable; urgency=medium

  * initial version

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 26 Oct 2021 19:30:07 +0200

=== debian/control ===
Source: libasi
Section: non-free/libs
Priority: optional
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 13)
	, cmake
	, libusb-1.0-0-dev
Standards-Version: 4.6.0
Homepage: https://github.com/indilib/indi-3rdparty
Rules-Requires-Root: no
XS-Autobuild: yes
Vcs-Browser: https://salsa.debian.org/debian-astro-team/libasi
Vcs-Git: https://salsa.debian.org/debian-astro-team/libasi.git

Package: libasi
Architecture: i386 amd64 armhf arm64
Depends: ${shlibs:Depends}, ${misc:Depends}
	, libusb-1.0-0
Description: library to control ASI cameras, focuser, filter wheels and ST4
 This package contains libraries to control different devices:
  - ZWO ASI Cameras
  - ZWO EAF Focuser
  - ZWO EFW Filter Wheels
  - ZWO USB to ST4 converter

## libasi 1.22+20220607002509

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,14 @@
 cmake_minimum_required (VERSION 3.0)
 project (libasi)
 
+# Using ASI Camera SDK Version 1.22 updated on 2022-05-03
 # Using ASI Camera SDK Version 1.21 updated on 2022-01-17
 # Using ASI Camera SDK Version 1.20.3 updated on 2021-11-19
 # Using ASI EFW SDK Version 1.7 updated on 2021-05-17
 # Using ASI ST4 SDK Version 1.0 updated on 2018-07-23
 # Using ASI EAF SDK Version 1.4 updated on 2021-05-17
 
-set (ASICAM_VERSION "1.21.3")
+set (ASICAM_VERSION "1.22")
 set (ASICAM_SOVERSION "1")
 
 set (ASIEFW_VERSION "1.7")

=== debian/changelog ===
libasi (1.22+20220607002509-1) unstable; urgency=medium

  * build version from git
  * based on indi-3rdparty release 1.9.6
  * new upstream version 1.22

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 07 Jun 2022 00:25:58 +0000

## libasi 1.27%2B20221218230335

=== debian/changelog ===
libasi (1.27+20221218230335-3) unstable; urgency=medium

  * add cmake4.patch (Closes: #1125544)

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 14 Feb 2026 19:05:29 +0100

libasi (1.27+20221218230335-2) unstable; urgency=medium

  * Use udev.pc to place udev files. (Closes: #1058845)
    (Thanks to  Chris Hofstaedtler for the patch)
  * debian/control: bump standard to 4.7.0 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 04 Jun 2024 23:05:29 +0200

libasi (1.27+20221218230335-1) unstable; urgency=medium

  * build version from git
  * based on indi-3rdparty release 1.9.9
  * new upstream version 1.27

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 18 Dec 2022 23:05:29 +0000

## libasi 1.27+20221218230335

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,14 +1,12 @@
 cmake_minimum_required (VERSION 3.0)
 project (libasi)
 
-# Using ASI Camera SDK Version 1.22 updated on 2022-05-03
-# Using ASI Camera SDK Version 1.21 updated on 2022-01-17
-# Using ASI Camera SDK Version 1.20.3 updated on 2021-11-19
+# Using ASI Camera SDK Version 1.27 updated on 2022-11-30
 # Using ASI EFW SDK Version 1.7 updated on 2021-05-17
 # Using ASI ST4 SDK Version 1.0 updated on 2018-07-23
 # Using ASI EAF SDK Version 1.4 updated on 2021-05-17
 
-set (ASICAM_VERSION "1.22")
+set (ASICAM_VERSION "1.27")
 set (ASICAM_SOVERSION "1")
 
 set (ASIEFW_VERSION "1.7")
@@ -41,6 +39,11 @@
   set_property (TARGET EFWFilter   PROPERTY IMPORTED_LOCATION "mac/libEFWFilter.bin")
   set_property (TARGET USB2ST4Conv PROPERTY IMPORTED_LOCATION "mac/libUSB2ST4Conv.bin")
   set_property (TARGET EAFFocuser  PROPERTY IMPORTED_LOCATION "mac/libEAFFocuser.bin")
+
+  FIX_LIBRARY_ID("libASICamera2" "mac/libASICamera2.bin" "ASI/ZWO")
+  FIX_LIBRARY_ID("libEFWFilter" "mac/libEFWFilter.bin" "ASI/ZWO")
+  FIX_LIBRARY_ID("libUSB2ST4Conv" "mac/libUSB2ST4Conv.bin" "ASI/ZWO")
+  FIX_LIBRARY_ID("libEAFFocuser" "mac/libEAFFocuser.bin" "ASI/ZWO")
 
 elseif (UNIX AND NOT WIN32)

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,9 @@
 Build-Depends: debhelper-compat (= 13)
 	, cmake
 	, libusb-1.0-0-dev
-Standards-Version: 4.6.0
+	, pkgconf
+	, systemd-dev
+Standards-Version: 4.7.0
 Homepage: https://github.com/indilib/indi-3rdparty
 Rules-Requires-Root: no
 XS-Autobuild: yes
